Bug 11493 - Error running ant 1.5
Error running ant 1.5
Product: Ant
Classification: Unclassified
Component: Build Process
PC other
: P3 critical (vote)
: ---
Assigned To: Ant Notifications List
Depends on:
  Show dependency tree
Reported: 2002-08-06 10:56 UTC by Aravind
Modified: 2008-02-22 12:18 UTC (History)
0 users


Note You need to log in before you can comment on or make changes to this bug.
Description Aravind 2002-08-06 10:56:06 UTC
Hello !!!!
I just downloaded the ant 1.5 source. Did the bootstraping. Set the appropriate 
classpath and path. And when I tried to run ant on a build xml file that was 
working find in version 1.4.1 it gave me the following errors.

Kindly let me know what I should do.

D:\Projects\Scaffolding\Source_Ver1.0\Development>ant -buildfile build-
findbysql.xml -Djboss=true
Buildfile: build-findbysql.xml


java.lang.VerifyError: (class: 
org/apache/tools/ant/taskdefs/optional/sitraka/CovMerge, method: ge
tSnapshots signature: ()[Ljava/io/File;) Incompatible object argument for 
function call
        at java.lang.Class.forName0(Native Method)
        at java.lang.Class.forName(Class.java:120)
        at org.apache.tools.ant.Project.init(Project.java:178)
        at org.apache.tools.ant.Main.runBuild(Main.java:420)
        at org.apache.tools.ant.Main.start(Main.java:153)
        at org.apache.tools.ant.Main.main(Main.java:176)

Total time: 0 seconds
(class: org/apache/tools/ant/taskdefs/optional/sitraka/CovMerge, method: 
getSnapshots signature: (
)[Ljava/io/File;) Incompatible object argument for function call

Comment 1 Stephane Bailliez 2002-08-13 18:54:15 UTC
You are more than probably mixing different ant version.
On a small note, you don't have to build ant yourself, there are the binaries 
available. There are complex conditional compilation because of the huge 
number of dependencies so unless you know exactly what you are doing you will 
compile half of the classes that are delivered in an official release.